Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Thu, 05 Jun 2008 10:13:15 -0500

Josh Boyer wrote:

> From a device tree perspective, index and cell-index are both
> incorrect.  The IIC macros don't share register blocks with anything,
> are enumerated as unique instances per macro in the device tree, and
> should be able to be distinguished by "regs" and/or unit address.

I think we should just expand the definition of cell-index to include standard
device enumeration for when it's needed.  The original definition is too
limited, IMHO.

-- 
Timur Tabi
Linux kernel developer at Freescale